Ubuntu

[SYNC] [UNMETDEPS] engmail-locales has unmet dependencies

Reported by Andreas Jobs on 2006-04-04
48
This bug affects 1 person
Affects Status Importance Assigned to Milestone
enigmail-locales (Ubuntu)
Medium
Unassigned

Bug Description

Package enigmail-locale-ca version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-de version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-pt-pt version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-cs version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-fi version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-fr version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-ja version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-hu version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-it version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-nb version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-nl version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-pl version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-sk version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-sl version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-ru version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-sv version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-es-es version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)
Package enigmail-locale-pt-br version 0.9x-20050717-1 has an unmet dep:
 Depends: mozilla-enigmail (< 2:0.92.1) | mozilla-thunderbird-enigmail (< 2:0.92.1)

All but two translations are up-to-date. But it seems there are more translations upstream that are currently not packaged.

Changed in enigmail-locales:
assignee: nobody → motu

I can confirm this on my last dapper

Changed in enigmail-locales:
status: Unconfirmed → Confirmed
Laurent Bigonville (bigon) wrote :

Will this be fixed for dapper?

Adam Conrad (adconrad) wrote :

Andreas, did you intend to find a sponsor and get this uploaded? I can certainly sponsor it for you if you prepare a source package I can test.

Andreas Jobs (andreas-jobs) wrote :

Adam, you can find the source package at
http://noc.rub.de/debian/sources/

Because I'm still a beginner, any comment/tip is welcome.

This issue still appears in Edgy. I will investigate.

Changed in enigmail-locales:
assignee: motu → pirast
pirast (pirast) wrote :

Okay. An option to solve the build dependencies would have been to sync from Debian unstable. But the language packs would not have been functional.

The Debian maintainer prepared an updated version of the package, which is not in the official Debian unstable yet: http://www.maths.lth.se/matematiklu/personal/hans/debian/enigmail/

But this version is for icedove, not mozilla-thunderbird (Debian had to rename Firefox and Thunderbird), that means that the extensions are being installed into the wrong place. Furthermore some installation dependencies are wrong but that's an easy one, I got it fixed here

I see three options what we can do for Edgy:
- Replace icedove with mozilla-thunderbird in the whole debian directory
- Try to pull icedove from Debian to Edgy
- Remove enigmail-locales or let it broken

I would prefer the first option and I will try to do it when I got some sleep. It's far too late for the second option since we are in a deep freeze and option 3 is only a fall-back.

pirast (pirast) wrote :

I need an UVF Exception for enigmail-locales so that I can fix this bug (bug 38093).

The orig.tar.gz, diff.gz and dsc can be found here:
http://www.maths.lth.se/matematiklu/personal/hans/debian/enigmail/

The package that can be found there is a version of enigmail-locales, which is not yet in Debian. It was created by the Debian Maintainer. The current package of enigmail-locales in Debian unstable does not fix this problem, the one on maths.lth.se does with a debdiff which I created.

pirast (pirast) wrote :

new changed in debian/changelog:

enigmail-locales (0.9x-20061010-1) unstable; urgency=medium

  * Changed paths and dependencies for Thunderbird -> IceDove rename.
  * Since the mozilla suite will be removed from Debian, the mozilla
    support in this package has been removed. From now on the
    binary packages enigmail-locale-* only work with the combination
    enigmail/icedove. Closes: #365150, #383898.
  * Since no Portuguese (PT) translation for thunderbird/icedove
    exists, the enigmail-locale-pt-pt package has been removed.
    Closes: #383218.
  * Updated all translations for enigmail 0.94.
  * Updated package format for thunderbird/icedove 1.5;
    Included chrome.manifest files from the upstream xpi-packages,
    Removed calls to update-mozilla-thunderbird-chrome in postint and
    postrm.
  * Manually generated chrome.manifest for Czech since there
    is no chrome.manifest file in the upstream xpi-package.
  * Added Greek, Simplified Chinese (CN) and Spanish (AR)
    in the new packages enigmail-locale-el, enigmail-locale-zh-cn
    and enigmail-locale-es-ar.
  * Add MPL 1.1 to the copyright files in all packages. Closes: #383505.
  * Created and populated a Build-Depends field in debian/control to
    satisfy chapter 7.6 of debian-policy.
  * Updated to Standards-Version 3.7.2, no changes.

 -- Hans Ofverbeck <email address hidden> Tue, 10 Oct 2006 20:57:54 +0200

pirast (pirast) wrote :
Changed in enigmail-locales:
assignee: pirast → motu-uvf
Reinhard Tartler (siretart) wrote :

motu-uvf hasn't confirmed this (yet)

Changed in enigmail-locales:
status: Confirmed → Unconfirmed

Martin Jürgens <email address hidden> writes:

> new changed in debian/changelog:
>
> enigmail-locales (0.9x-20061010-1) unstable; urgency=medium
>
> * Changed paths and dependencies for Thunderbird -> IceDove rename.
> * Since the mozilla suite will be removed from Debian, the mozilla
> support in this package has been removed. From now on the
> binary packages enigmail-locale-* only work with the combination
> enigmail/icedove. Closes: #365150, #383898.

Err, doesn't render this change the package unusable in edgy?

--
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

You are right. That's why we apply the attached debdiif after the inclusion.

Daniel Holbach (dholbach) wrote :

Do you have a diffstat and (if available) a ChangeLog diff too?

Changed in enigmail-locales:
status: Unconfirmed → Needs Info
pirast (pirast) wrote :

>diffstat
0 files changed. The xpis are archives.

> ChangeLog diff
There are no changelogs since the "source packages" are just the .xpis from http://enigmail.mozdev.org/langpack.html

Changed in enigmail-locales:
status: Needs Info → Unconfirmed
Daniel Holbach (dholbach) wrote :

I see. If they make everything work again and make us happy... I'm happy too.

Reinhard, Sebastian, Andrew?

Andrew Mitchell (ajmitch) wrote :

I'm also happy with this.

Changed in enigmail-locales:
assignee: motu-uvf → pirast
status: Unconfirmed → Confirmed
Colin Watson (cjwatson) wrote :

We're not going to sync a *ubuntu* version. Please just upload this.

pirast (pirast) wrote :

Suscribed Ubuntu Universe Sponsors.

uploaded.

Changed in enigmail-locales:
assignee: pirast → hobbsee
status: Confirmed → Fix Released

grrr!

This thing hates me, can someone else upload it please?

Changed in enigmail-locales:
status: Fix Released → Confirmed
assignee: hobbsee → nobody
pirast (pirast) on 2006-10-21
Changed in enigmail-locales:
status: Confirmed → Fix Committed
pirast (pirast) wrote :

This thing hates everyone and I do not know why.. Could anyone look what's wrong?

pirast (pirast) wrote :

Fixed versions are available in the archive now:

http://archive.ubuntu.com/ubuntu/pool/universe/e/enigmail-locales/

Changed in enigmail-locales:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers